set_property IOSTANDARD LVCMOS33 [get_ports iic_rtl_scl_io]
set_property IOSTANDARD LVCMOS33 [get_ports iic_rtl_sda_io]
set_property PACKAGE_PIN W10 [get_ports iic_rtl_scl_io]
set_property PACKAGE_PIN W9 [get_ports iic_rtl_sda_io]

#Creating SCL CLOCK at 100 Mhz
create_clock -name IIC_SCL_CLOCK -period 10 [get_ports iic_rtl_scl_io]

#Input Delays

set_input_delay -clock IIC_SCL_CLOCK -clock_fall -max 0.00 [get_ports iic_rtl_sda_io]
set_input_delay -clock IIC_SCL_CLOCK -clock_fall -min 0.000 [get_ports iic_rtl_sda_io]


#Output Delays

set_output_delay -clock IIC_SCL_CLOCK -max -1.665 [get_ports iic_rtl_scl_io]
set_output_delay -clock IIC_SCL_CLOCK -min 0.04 [get_ports iic_rtl_scl_io]

set_output_delay -clock IIC_SCL_CLOCK -max 0.000 [get_ports iic_rtl_sda_io]
set_output_delay -clock IIC_SCL_CLOCK -min 0.000 [get_ports iic_rtl_sda_io]